Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-alt
Navigation:
Lists: gentoo-alt: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: <gentoo-alt@g.o>
From: "Steven Parkes" <smparkes@...>
Subject: can't emerge dev-util/dialog-1.1.20080819-r1 on mac os
Date: Fri, 17 Apr 2009 10:10:43 -0700
Trying to emerge dev-util/dialog-1.1.20080819-r1 on mac os.

With binutils i686-apple-darwin9-3.1.2, I get:

checking version of libtool... 
configure: error: This is not GNU libtool

!!! Please attach the following file when seeking support:
!!!
/opt/gentoo/var/tmp/portage/dev-util/dialog-1.1.20080819-r1/work/dialog-1.1-
20080819/config.log
 * ERROR: dev-util/dialog-1.1.20080819-r1 failed:
 *   econf failed
 * 
 * Call stack:
 *               ebuild.sh:  49: <call src_configure>
 *             environment:2197: <call econf '--enable-nls' '--with-libtool'
'--with-ncursesw'>
 *               ebuild.sh: 527: 			die "econf failed"
 * 
 * If you need support, post the topmost build error, and the call stack if
relevant.

With binutils i686-apple-darwin9-native-1, I get:

/opt/gentoo/usr/bin/libtool  --mode=compile i686-apple-darwin9-gcc -O2 -pipe
-march=nocona  -I/opt/gentoo/usr/include -I/opt/gentoo/usr/include/ncursesw
-U_XOPEN_SOURCE -D_XOPEN_SOURCE=500 -DHAVE_CONFIG_H -I. -I.
-DLOCALEDIR=\"/opt/gentoo/usr/share/locale\" -c calendar.c
libtool: compile: unable to infer tagged configuration
libtool: compile: specify a tag with `--tag'
libtool: compile: unable to infer tagged configuration
libtool: compile: specify a tag with `--tag'
make: *** [rc.lo] Error 1
make: *** Waiting for unfinished jobs....
make: *** [calendar.lo] Error 1
libtool: compile: unable to infer tagged configuration
libtool: compile: specify a tag with `--tag'
make: *** [trace.lo] Error 1
 * ERROR: dev-util/dialog-1.1.20080819-r1 failed:
 *   emake failed
 * 
 * Call stack:
 *               ebuild.sh:  49: <call src_compile>
 *             environment:2192: <call _eapi2_src_compile>
 *               ebuild.sh: 627: 		emake || die "emake failed"
 * 
 * If you need support, post the topmost build error, and the call stack if
relevant.



Replies:
Re: can't emerge dev-util/dialog-1.1.20080819-r1 on mac os
-- Fabian Groffen
Navigation:
Lists: gentoo-alt: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
upgrading packages with EAPI=prefix 1?
Next by thread:
Re: can't emerge dev-util/dialog-1.1.20080819-r1 on mac os
Previous by date:
Re: upgrading packages with EAPI=prefix 1?
Next by date:
Re: can't emerge dev-util/dialog-1.1.20080819-r1 on mac os


Updated Jun 17, 2009

Summary: Archive of the gentoo-alt mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.